# Configuration file for pytest within gstlal
[pytest]
norecursedirs = gst/python port-tools tests share tests_pytest/utils python/pipeparts
testpaths = tests/tests_pytest python
addopts =
    -v
    --doctest-modules
    # Ignore doctests in specific modules
    --ignore python/bottle.py
    --ignore python/dagfile.py
    --ignore python/httpinterface.py
    --ignore python/matplotlibhelper.py
    --ignore python/misc.py
    --ignore python/pipeline.py
    --ignore python/pipeparts/__init__.py
    --ignore python/psd.py
    --ignore tests/tests_pytest/testtools.py
